enum MapBoxType {
  Basic,
  Street,
  Satellite,
  Hybrid,
  Outdoors,
  Dark,
  Light,
  Bright,
}

enum GoogleMapType {
  Street,
  Satellite,
  Hybrid,
  Terrain,
}

enum OpenStreetMapType {
  Mapnik,
  DE,
  CH,
  France,
  HOT,
  BZH,
  OpenSeaMap,
  OpenPtMap,
  OpenTopoMap,
  OpenRailwayMap,
  OpenFireMap,
  SafeCast,
  StadiaAlidadeSmooth,
  StadiaAlidadeSmoothDark,
  StadiaOSMBright,
  StadiaOSMOutdoors,
  ThunderforestCycle,
  ThunderforestTransport,
  ThunderforestTransportDark,
  ThunderforestSpinal,
  ThunderforestLandscape,
  ThunderforestOutdoors,
  ThunderforestPioneer,
  ThunderforestMobileAtlas,
  ThunderforestNeighbourhood,
  CyclOSM,
  HyddaBase,
  HyddaFull,
  HyddaRoadsLabels,
  JawgStreets,
  JawgTerrain,
  JawgSunny,
  JawgDark,
  JawgLight,
  JawgMatrix,
  MapTiler,
  MapTilerStreets,
  MapTilerBasic,
  MapTilerBright,
  MapTilerPastel,
  MapTilerPositron,
  MapTilerHybrid,
  MapTilerToner,
  MapTilerTopo,
  MapTilerVoyager,
  StamenToner,
  StamenTonerBackground,
  StamenTonerHybrid,
  StamenTonerLines,
  StamenTonerLabels,
  StamenTonerLite,
  StamenWatercolor,
  StamenTerrain,
  StamenTerrainBackground,
  StamenTerrainLabels,
  StamenRelief,
  StamenTopOSMRelief,
  StamenTopOSMFeatures,
  TomTomBasic,
  TomTomHybrid,
  TomTomLabels,
  EsriWorldStreetMap,
  EsriDeLorme,
  EsriWorldImagery,
  EsriWorldTopoMap,
  EsriWorldTerrain,
  EsriWorldShadedRelief,
  EsriWorldPhysical,
  EsriOceanBasemap,
  EsriNatGeoWorldMap,
  EsriWorldGray,
  FreeMapSK,
  MtbMap,
  CartoDB,
  CartoDBPositron,
  CartoDBPositronNoLabels,
  CartoDBPositronOnlyLabels,
  CartoDBDarkMatter,
  CartoDBDarkMatterNoLabels,
  CartoDBDarkMatterOnlyLabels,
  CartoDBVoyager,
  CartoDBVoyagerNoLabels,
  CartoDBVoyagerOnlyLabels,
  CartoDBVoyagerLabelsUnder,
  HikeBike,
  HikeBikeHill,
  BasemapAT,
  BasemapATGrau,
  BasemapATOverlay,
  BasemapATTerrain,
  BasemapATSurface,
  BasemapATHdpi,
  BasemapATOrthofoto,
  GeoportailFrance,
  GeoportailFranceParcels,
  GeoportailFranceIGN,
  GeoportailFranceOrthos,
  JusticeMap,
  JusticeMapIncome,
  JusticeMapIndian,
  JusticeMapAsian,
  JusticeMapBlack,
  JusticeMapHispanic,
  JusticeMapMulti,
  JusticeMapNonwhite,
  JusticeMapWhite,
  JusticeMapPlural,
  OpenWeatherMap,
  OpenWeatherMapClouds,
  OpenWeatherMapCloudsClassic,
  OpenWeatherMapPrecipitation,
  OpenWeatherMapPrecipitationClassic,
  OpenWeatherMapRain,
  OpenWeatherMapRainClassic,
  OpenWeatherMapPressure,
  OpenWeatherMapPressureContour,
  OpenWeatherMapWind,
  OpenWeatherMapTemperature,
  OpenWeatherMapSnow,
  OneMapSG,
  OneMapSGNight,
  OneMapSGOriginal,
  OneMapSGGrey,
  OneMapSGLandLot,
  NASAGIBS,
  NASAGIBSModisTerraTrueColorCR,
  NASAGIBSModisTerraBands367CR,
  NASAGIBSViirsEarthAtNight2012,
  NASAGIBSModisTerraLSTDay,
  NASAGIBSModisTerraSnowCover,
  NASAGIBSModisTerraAOD,
  NASAGIBSModisTerraChlorophyll,
  NLMaps,
  NLMapsPastel,
  NLMapsGrijs,
  NLMapsLuchfoto,
  NLS,
  Wikimedia,
  /* HERE,
  HERENormalDay,
  HERENormalDayCustom,
  HERENormalDayGrey,
  HERENormalDayMobile,
  HERENormalDayGreyMobile,
  HERENormalDayTransit,
  HERENormalDayTransitMobile,
  HERENormalDayTraffic,
  HERENormalNight,
  HERENormalNightMobile,
  HERENormalNightGrey,
  HERENormalNightGreyMobile,
  HERENormalNightTransit,
  HERENormalNightTransitMobile,
  HEREReducedDay,
  HEREReducedNight,
  HEREBasicMap,
  HEREMapLabels,
  HERETrafficFlow,
  HERECarnavDayGrey,
  HEREHybridDay,
  HEREHybridDayMobile,
  HEREHybridDayTransit,
  HEREHybridDayGrey,
  HEREHybridDayTraffic,
  HEREPedestrianDay,
  HEREPedestrianNight,
  HERESatelliteDay,
  HERETerrainDay,
  HERETerrainDayMobile,
  HEREv3,
  HEREv3NormalDay,
  HEREv3NormalDayCustom,
  HEREv3NormalDayGrey,
  HEREv3NormalDayMobile,
  HEREv3NormalDayGreyMobile,
  HEREv3NormalDayTransit,
  HEREv3NormalDayTransitMobile,
  HEREv3NormalNight,
  HEREv3NormalNightMobile,
  HEREv3NormalNightGrey,
  HEREv3NormalNightGreyMobile,
  HEREv3NormalNightTransit,
  HEREv3NormalNightTransitMobile,
  HEREv3ReducedDay,
  HEREv3ReducedNight,
  HEREv3BasicMap,
  HEREv3MapLabels,
  HEREv3TrafficFlow,
  HEREv3CarnavDayGrey,
  HEREv3HybridDay,
  HEREv3HybridDayMobile,
  HEREv3HybridDayTransit,
  HEREv3HybridDayGrey,
  HEREv3PedestrianDay,
  HEREv3PedestrianNight,
  HEREv3SatelliteDay,
  HEREv3TerrainDay,
  HEREv3TerrainDayMobile, */
}
